Index: LMDZ6/branches/IPSLCM6.0.14/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.14/DefLists/CMIP6_ping_atmos.xml	(revision 3139)
+++ LMDZ6/branches/IPSLCM6.0.14/DefLists/CMIP6_ping_atmos.xml	(revision 3157)
@@ -60,6 +60,6 @@
    <field id="CMIP6_cldicemxrat"   field_ref="cldicemxrat"        /> <!-- P3 (1.0) cloud_ice_mixing_ratio : Cloud ice mixing ratio -->
    <field id="CMIP6_cldnci"        field_ref="dummy_XY"         /> <!-- P1 (m-3) number_concentration_of_ice_crystals_in_air_at_ice_cloud_top : Concentration 'as seen from space' over ice-cloud portion of grid cell.  This is the value from uppermost model layer with ice cloud or, if available, it is the sum over all ice cloud tops, no matter where they occur, as long as they are seen from the top of the atmosphere. Weight by total ice cloud top fraction (as seen from TOA) of each time sample when computing monthly mean. -->
-   <field id="CMIP6_cldncl"        field_ref="cldncl"> @cldncl / @lcc <!-- P1 (m-3) number_concentration_of_cloud_liquid_water_particles_in_air_at_liquid_water_cloud_top : Droplets are liquid only.  Report concentration 'as seen from space' over liquid cloudy portion of grid cell.  This is the value from uppermost model layer with liquid cloud or, if available, it is better to sum over all liquid cloud tops, no matter where they occur, as long as they are seen from the top of the atmosphere. Weight by total liquid cloud top fraction of  (as seen from TOA) each time sample when computing monthly mean. -->
-   <field id="CMIP6_cldnvi"        field_ref="cldnvi"> @cldnvi / @lcc <!-- P1 (m-2) atmosphere_number_content_of_cloud_droplets : Droplets are liquid only.  Values are weighted by liquid cloud fraction in each layer when vertically integrating, and for monthly means the samples are weighted by total liquid cloud fraction (as seen from TOA). -->
+   <field id="CMIP6_cldncl"        field_ref="cldncl"> @cldncl / @lcc </field> <!-- P1 (m-3) number_concentration_of_cloud_liquid_water_particles_in_air_at_liquid_water_cloud_top : Droplets are liquid only.  Report concentration 'as seen from space' over liquid cloudy portion of grid cell.  This is the value from uppermost model layer with liquid cloud or, if available, it is better to sum over all liquid cloud tops, no matter where they occur, as long as they are seen from the top of the atmosphere. Weight by total liquid cloud top fraction of  (as seen from TOA) each time sample when computing monthly mean. -->
+   <field id="CMIP6_cldnvi"        field_ref="cldnvi"> @cldnvi / @lcc </field> <!-- P1 (m-2) atmosphere_number_content_of_cloud_droplets : Droplets are liquid only.  Values are weighted by liquid cloud fraction in each layer when vertically integrating, and for monthly means the samples are weighted by total liquid cloud fraction (as seen from TOA). -->
    <field id="CMIP6_cldwatmxrat"   field_ref="cldwatmxrat"        /> <!-- P2 (1.0) cloud_liquid_water_mixing_ratio : Cloud water mixing ratio -->
    <field id="CMIP6_clhcalipso"    field_ref="pclhcalipso"       /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in layer centred on 220hPa -->
@@ -121,6 +121,6 @@
    <field id="CMIP6_hur"           field_ref="rhum"> rhum*100. </field> <!-- P1 (%) relative_humidity : The relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->
    <field id="CMIP6_hurs"          field_ref="rh2m"             /> <!-- P1 (%) relative_humidity : The relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->
-   <field id="CMIP6_hursmax"       field_ref="CMIP6_hurs" freq_op="1d"  operation="maximum"> @this </field>   <!-- P1 (%) relative_humidity : Daily Maximum Near-Surface Relative Humidity -->
-   <field id="CMIP6_hursmin"       field_ref="CMIP6_hurs" freq_op="1d"  operation="minimum"> @this </field>    <!-- P1 (%) relative_humidity : Daily Minimum Near-Surface Relative Humidity -->
+   <field id="CMIP6_hursmax"       field_ref="rh2m_max" freq_op="1d" > @rh2m_max </field>   <!-- P1 (%) relative_humidity : Daily Maximum Near-Surface Relative Humidity -->
+   <field id="CMIP6_hursmin"       field_ref="rh2m_min" freq_op="1d" > @rh2m_min </field>    <!-- P1 (%) relative_humidity : Daily Minimum Near-Surface Relative Humidity -->
    <field id="CMIP6_hursminCrop"   field_ref="dummy_not_provided"         /> <!-- P1 (%) relative_humidity : minimum near-surface (usually, 2 meter) relative humidity (add cell_method attribute "time: min") -->
    <field id="CMIP6_hus"           field_ref="ovap"             /> <!-- P1 (1.0) specific_humidity : Specific Humidity -->
@@ -157,5 +157,5 @@
    <field id="CMIP6_lwtoafluxaerocs" field_ref="dummy_XY"       /> <!-- P1 (W m-2) longwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling longwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
    <field id="CMIP6_mc"            field_ref="mc"               /> <!-- P3 (kg m-2 s-1) atmosphere_net_upward_convective_mass_flux : The net mass flux should represent the difference between the updraft and downdraft components.  The flux is computed as the mass divided by the area of the grid cell. -->
-   <field id="CMIP6_mcd"           field_ref="dnwd"              > abs(dnwd+dnwd0) </field> <!-- P2 (kg m-2 s-1) atmosphere_downdraft_convective_mass_flux : Calculated as the convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
+   <field id="CMIP6_mcd"           field_ref="dnwd"              > (dnwd-dnwd0) &gt; 0 ? (dnwd-dnwd0) : 0 </field> <!-- P2 (kg m-2 s-1) atmosphere_downdraft_convective_mass_flux : Calculated as the convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
    <field id="CMIP6_mcu"           field_ref="upwd"             /> <!-- P1 (kg m-2 s-1) atmosphere_updraft_convective_mass_flux : In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. The atmosphere convective mass flux is the vertical transport of mass for a field of cumulus clouds or thermals, given by the product of air density and vertical velocity. For an area-average, cell_methods should specify whether the average is over all the area or the area of updrafts only. -->
    <field id="CMIP6_md"            field_ref="dummy_not_provided"        /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_dust_dry_aerosol_particles_due_to_emission : Balkanski - LSCE -->
@@ -177,5 +177,5 @@
    <field id="CMIP6_prcprof"       field_ref="pr_con_l"         /> <!-- P2 (kg m-2 s-1) convective_rainfall_flux : unset -->
    <field id="CMIP6_prcsh"         field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) shallow_convective_precipitation_flux : Convection precipitation from shallow convection -->
-   <field id="CMIP6_prhmax"        field_ref="precip" freq_op="1h"  operation="maximum"           >   @this   </field> <!-- P1 (kg m-2 s-1) precipitation_flux : Maximum Hourly Precipitation Rate -->
+   <field id="CMIP6_prhmax"        field_ref="prhmax" freq_op="1h" >   @prhmax   </field> <!-- P1 (kg m-2 s-1) precipitation_flux : Maximum Hourly Precipitation Rate -->
    <field id="CMIP6_prlsns"        field_ref="snowl"            /> <!-- P2 (kg m-2 s-1) large_scale_snowfall_flux : large-scale precipitation of all forms of water in the solid phase. -->
    <field id="CMIP6_prlsprof"      field_ref="plul"             /> <!-- P2 (kg m-2 s-1) large_scale_rainfall_flux : unset -->
@@ -261,5 +261,5 @@
    <field id="CMIP6_sconcss"       field_ref="sconcss"          /> <!-- P1 (kg m-3) mass_concentration_of_seasalt_dry_aerosol_in_air : mass concentration of seasalt dry aerosol in air in model lowest layer -->
    <field id="CMIP6_sfcWind"       field_ref="wind10m"          /> <!-- P1 (m s-1) wind_speed : near-surface (usually, 10 meters) wind speed. -->
-   <field id="CMIP6_sfcWindmax"    field_ref="CMIP6_sfcWind" freq_op="1d"  operation="maximum"> @this </field>   <!-- P1 (m s-1) wind_speed : Daily maximum near-surface (usually, 10 meters) wind speed. -->
+   <field id="CMIP6_sfcWindmax"    field_ref="sfcWindmax" freq_op="1d"   > @sfcWindmax </field>   <!-- P1 (m s-1) wind_speed : Daily maximum near-surface (usually, 10 meters) wind speed. -->
    <field id="CMIP6_sftlf"         field_ref="pourc_ter"> pourc_ter+pourc_lic </field> <!-- P1 (%) land_area_fraction : Please express "X_area_fraction" as the percentage of horizontal area occupied by X. -->
    <field id="CMIP6_siltfrac"      field_ref="dummy_not_provided"       /> <!-- P1 (1.0) missing : Silt Fraction -->
@@ -280,7 +280,7 @@
    <field id="CMIP6_ta"            field_ref="temp"             /> <!-- P3 (K) air_temperature : Air Temperature -->
    <field id="CMIP6_tas"           field_ref="t2m"              /> <!-- P1 (K) air_temperature : near-surface (usually, 2 meter) air temperature -->
-   <field id="CMIP6_tasmax"        field_ref="CMIP6_tas" freq_op="1d"  operation="maximum"> @this </field>   <!-- P1 (K) air_temperature : maximum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: max") -->
+   <field id="CMIP6_tasmax"        field_ref="tasmax" freq_op="1d"> @tasmax </field>   <!-- P1 (K) air_temperature : maximum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: max") -->
    <field id="CMIP6_tasmaxCrop"    field_ref="dummy_not_provided"         /> <!-- P1 (K) air_temperature : maximum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: max") -->
-   <field id="CMIP6_tasmin"        field_ref="CMIP6_tas" freq_op="1d" operation="minimum"> @this  </field>   <!-- P1 (K) air_temperature : minimum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: min") -->
+   <field id="CMIP6_tasmin"        field_ref="tasmin" freq_op="1d"> @tasmin  </field>   <!-- P1 (K) air_temperature : minimum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: min") -->
    <field id="CMIP6_tasminCrop"    field_ref="dummy_not_provided"         /> <!-- P1 (K) air_temperature : minimum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: min") -->
    <field id="CMIP6_tau"           field_ref="taux"              >  sqrt( taux^2 + tauy^2)        </field>   <!-- P1 (N m-2) surface_downward_stress : module of the momentum lost by the atmosphere to the surface. -->
@@ -352,5 +352,5 @@
    <field id="CMIP6_zmlwaero"      field_ref="dummy_not_provided"        /> <!-- P1 (K s-1) longwave_heating_rate_due_to_volcanic_aerosols : longwave heating rate due to volcanic aerosols to be diagnosed through double radiation call, zonal average values required -->
    <field id="CMIP6_zmswaero"      field_ref="dummy_not_provided"        /> <!-- P1 (K s-1) shortwave_heating_rate_due_to_volcanic_aerosols : shortwave heating rate due to volcanic aerosols to be diagnosed through double radiation call, zonal average values required -->
-   <field id="CMIP6_zmtnt"         field_ref="tntmp"        /> <!-- P1 (K s-1) tendency_of_air_temperature_due_to_diabatic_processes : The diabatic heating rates due to all the processes that may change potential temperature -->
+   <field id="CMIP6_zmtnt"         field_ref="dtphy"            /> <!-- P1 (K s-1) tendency_of_air_temperature_due_to_diabatic_processes : The diabatic heating rates due to all the processes that may change potential temperature -->
    <field id="CMIP6_ap" field_ref="Ahyb" /><!-- One of the hybrid coordinate arrays -->
    <field id="CMIP6_ap_bnds" field_ref="Ahyb_inter" /><!-- One of the hybrid coordinate arrays -->