Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmos.xml	(revision 3160)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmos.xml	(revision 3164)
@@ -150,9 +150,9 @@
    <field id="CMIP6_longitude"     field_ref="io_lon"              /> <!-- P1 (degrees_east) longitude : Longitude -->
    <field id="CMIP6_lwsffluxaero"  field_ref="dummy_XY"         /> <!-- P2 (W m-2) longwave__flux__due_to_volcanic_aerosols_at_the_surface : downwelling longwave  flux  due to volcanic aerosols at the surface to be diagnosed through double radiation call -->
-   <field id="CMIP6_lwsrfasdust"   field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_instantaneous_longwave_forcing_due_to_dust : Balkanski - LSCE -->
-   <field id="CMIP6_lwsrfcsdust"   field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_instantaneous_longwave_forcing_due_to_dust_in_clearsky : Balkanski - LSCE -->
-   <field id="CMIP6_lwtoaasdust"   field_ref="dummy_XY"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing : proposed name: toa_instantaneous_longwave_forcing_due_to_dust_ambient_aerosol -->
+   <field id="CMIP6_lwsrfasdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_instantaneous_longwave_forcing_due_to_dust : Balkanski - LSCE -->
+   <field id="CMIP6_lwsrfcsdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_instantaneous_longwave_forcing_due_to_dust_in_clearsky : Balkanski - LSCE -->
+   <field id="CMIP6_lwtoaasdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing : proposed name: toa_instantaneous_longwave_forcing_due_to_dust_ambient_aerosol -->
    <field id="CMIP6_lwtoacsaer"    field_ref="toplwad0"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing : proposed name: toa_instantaneous_longwave_forcing_due_to_ambient_aerosol_assuming_clear_sky -->
-   <field id="CMIP6_lwtoacsdust"   field_ref="dummy_XY"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing_due_to_dust_in_clearsky : Balkanski - LSCE -->
+   <field id="CMIP6_lwtoacsdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing_due_to_dust_in_clearsky : Balkanski - LSCE -->
    <field id="CMIP6_lwtoafluxaerocs" field_ref="dummy_XY"       /> <!-- P1 (W m-2) longwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling longwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
    <field id="CMIP6_mc"            field_ref="mc"               /> <!-- P3 (kg m-2 s-1) atmosphere_net_upward_convective_mass_flux : The net mass flux should represent the difference between the updraft and downdraft components.  The flux is computed as the mass divided by the area of the grid cell. -->
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmosChem.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmosChem.xml	(revision 3160)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmosChem.xml	(revision 3164)
@@ -33,5 +33,5 @@
    <field id="CMIP6_n2o"           field_ref="dummy_XYA"        /> <!-- P1 (mol mol-1) mole_fraction_of_nitrous_oxide_in_air : N2O volume mixing ratio -->
    <field id="CMIP6_n2oglobal"     field_ref="N2O_ppb"         /> <!-- P1 (1e-09) mole_fraction_of_nitrous_oxide_in_air : Global mean Nitrous Oxide (N2O) -->
-   <field id="CMIP6_o3"            field_ref="tro3/1.e9"        /> <!-- P1 (mol mol-1) mole_fraction_of_ozone_in_air : Ozone volume mixing ratio -->
+   <field id="CMIP6_o3"            field_ref="tro3"> tro3/1.e9        </field> <!-- P1 (mol mol-1) mole_fraction_of_ozone_in_air : Ozone volume mixing ratio -->
    <field id="CMIP6_oxloss"        field_ref="dummy_XYA"        /> <!-- P1 (mol m-3 s-1) tendency_of_mole_concentration_of_ozone_and_atomic_oxygen_and_1D_oxygen_atom_due_to_chemical_destruction : total chemical loss rate for o+o1d+o3 -->
    <field id="CMIP6_oxprod"        field_ref="dummy_XYA"        /> <!-- P1 (mol m-3 s-1) tendency_of_mole_concentration_of_ozone_and_atomic_oxygen_and_1D_oxygen_atom_due_to_chemical_production_and_photolysis : total production rate of o+o1d+o3 including o2 photolysis and all o3 producing reactions -->
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/context_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/context_lmdz.xml	(revision 3160)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/context_lmdz.xml	(revision 3164)
@@ -63,4 +63,7 @@
     <axis id="spectband" standard_name="Sensor Band Central Radiation Wavenumber" unit="m-1">
     </axis>
+    <axis id="axis_lat" standard_name="Latitude axis">
+           <reduce_domain operation="average" direction="iDir" />
+    </axis>
 
 <!-- Cosp axis definitions-->
Index: LMDZ6/branches/IPSLCM6.0.15/libf/misc/wxios.F90
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/libf/misc/wxios.F90	(revision 3160)
+++ LMDZ6/branches/IPSLCM6.0.15/libf/misc/wxios.F90	(revision 3164)
@@ -286,4 +286,9 @@
         CALL xios_set_domain_attr_hdl(dom, nj_glo=nj_glo, jbegin=jbegin-1, nj=nj, data_dim=2)
         CALL xios_set_domain_attr_hdl(dom, lonvalue_1d=io_lon(ibegin:iend), latvalue_1d=io_lat(jbegin:jend))
+        !On definit un axe de latitudes pour les moyennes zonales
+        IF (xios_is_valid_axis("axis_lat")) THEN
+           CALL xios_set_axis_attr( "axis_lat", n_glo=nj_glo, n=nj, begin=jbegin-1, value=io_lat(jbegin:jend))
+        ENDIF
+
         IF (.NOT.is_sequential) THEN
             mask(:,:)=.TRUE.
Index: LMDZ6/branches/IPSLCM6.0.15/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3160)
+++ LMDZ6/branches/IPSLCM6.0.15/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3164)
@@ -963,12 +963,12 @@
   TYPE(ctrl_out), SAVE :: o_rh2m = ctrl_out((/ 5, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'rh2m', 'Relative humidity at 2m', '%', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_rh2m_min = ctrl_out((/ 10, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rh2m_min', 'Min Relative humidity at 2m', '%',                        &
-      (/ 't_min(X)', 't_min(X)', 't_min(X)', 't_min(X)', 't_min(X)', & 
-         't_min(X)', 't_min(X)', 't_min(X)', 't_min(X)', 't_min(X)' /))
-  TYPE(ctrl_out), SAVE :: o_rh2m_max = ctrl_out((/ 10, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rh2m_max', 'Max Relative humidity at 2m', '%',                         &
-      (/ 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', &
-         't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)' /))
+!  TYPE(ctrl_out), SAVE :: o_rh2m_min = ctrl_out((/ 10, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
+!    'rh2m_min', 'Min Relative humidity at 2m', '%',                        &
+!      (/ 't_min(X)', 't_min(X)', 't_min(X)', 't_min(X)', 't_min(X)', & 
+!         't_min(X)', 't_min(X)', 't_min(X)', 't_min(X)', 't_min(X)' /))
+!  TYPE(ctrl_out), SAVE :: o_rh2m_max = ctrl_out((/ 10, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
+!    'rh2m_max', 'Max Relative humidity at 2m', '%',                         &
+!      (/ 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', &
+!         't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)' /))
   TYPE(ctrl_out), SAVE :: o_qsat2m = ctrl_out((/ 10, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'qsat2m', 'Saturant humidity at 2m', '%', (/ ('', i=1, 10) /))
Index: LMDZ6/branches/IPSLCM6.0.15/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/libf/phylmd/phys_output_write_mod.F90	(revision 3160)
+++ LMDZ6/branches/IPSLCM6.0.15/libf/phylmd/phys_output_write_mod.F90	(revision 3164)
@@ -98,5 +98,5 @@
          o_cldemi, o_pr_con_l, o_pr_con_i, &
          o_pr_lsc_l, o_pr_lsc_i, o_re, o_fl, &
-         o_rh2m, o_rh2m_min, o_rh2m_max, &
+         o_rh2m, &
          o_qsat2m, o_tpot, o_tpote, o_SWnetOR, &
          o_SWdownOR, o_LWdownOR, o_snowl, &
@@ -1220,17 +1220,17 @@
        CALL histwrite_phy(o_rh2m, zx_tmp_fi2d)
 
-       IF (vars_defined) THEN
-          DO i=1, klon
-             zx_tmp_fi2d(i)=MIN(100.,rh2m(i)*100.)
-          ENDDO
-       ENDIF
-       CALL histwrite_phy(o_rh2m_min, zx_tmp_fi2d)
-
-       IF (vars_defined) THEN
-          DO i=1, klon
-             zx_tmp_fi2d(i)=MIN(100.,rh2m(i)*100.)
-          ENDDO
-       ENDIF
-       CALL histwrite_phy(o_rh2m_max, zx_tmp_fi2d)
+!       IF (vars_defined) THEN
+!          DO i=1, klon
+!             zx_tmp_fi2d(i)=MIN(100.,rh2m(i)*100.)
+!          ENDDO
+!       ENDIF
+!       CALL histwrite_phy(o_rh2m_min, zx_tmp_fi2d)
+
+!       IF (vars_defined) THEN
+!          DO i=1, klon
+!             zx_tmp_fi2d(i)=MIN(100.,rh2m(i)*100.)
+!          ENDDO
+!       ENDIF
+!       CALL histwrite_phy(o_rh2m_max, zx_tmp_fi2d)
 
        CALL histwrite_phy(o_qsat2m, qsat2m)