Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmos.xml	(revision 3183)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmos.xml	(revision 3187)
@@ -36,7 +36,7 @@
    <field id="CMIP6_aeroptbnd"     field_ref="dummy_not_provided"           /> <!-- P1 (1) atmosphere_absorption_optical_thickness_due_to_ambient_aerosol_particles : Aerosol level extinction optical depth for each band -->
    <field id="CMIP6_aerssabnd"     field_ref="dummy_not_provided"           /> <!-- P1 (1) single_scattering_albedo_in_air_due_to_ambient_aerosol_particles : Aerosol level single-scattering albedo for each band -->
-   <field id="CMIP6_albdiffbnd"    field_ref="dummy_not_provided"           /> <!-- P1 (1.0) band_diffuse_albedo : Diffuse surface albedo for each band -->
-   <field id="CMIP6_albdirbnd"     field_ref="dummy_not_provided"           /> <!-- P1 (1.0) band_direct_albedo : Direct surface albedo for each band -->
-   <field id="CMIP6_albisccp"      field_ref="albisccp"                     /> <!-- P1 (1.0) cloud_albedo : time-means are weighted by the ISCCP Total Cloud Fraction - see  http://cfmip.metoffice.com/COSP.html -->
+   <field id="CMIP6_albdiffbnd"    field_ref="dummy_not_provided"           /> <!-- P1 (1) band_diffuse_albedo : Diffuse surface albedo for each band -->
+   <field id="CMIP6_albdirbnd"     field_ref="dummy_not_provided"           /> <!-- P1 (1) band_direct_albedo : Direct surface albedo for each band -->
+   <field id="CMIP6_albisccp"      field_ref="albisccp"                     /> <!-- P1 (1) cloud_albedo : time-means are weighted by the ISCCP Total Cloud Fraction - see  http://cfmip.metoffice.com/COSP.html -->
    <field id="CMIP6_aod550volso4"  field_ref="od550_STRAT"                  /> <!-- P1 (1e-09) aerosol_optical_depth_due_to_stratospheric_volcanic_aerosols : aerosol optical thickness at 550 nm due to stratospheric volcanic aerosols  -->
    <field id="CMIP6_areacella"     field_ref="aire"                         /> <!-- P1 (m2) cell_area : Cell areas for any grid used to report atmospheric variables and any other variable using that grid (e.g., soil moisture content). These cell areas should be defined to enable exact calculation of global integrals (e.g., of vertical fluxes of energy at the surface and top of the atmosphere). -->
@@ -44,6 +44,6 @@
    <field id="CMIP6_ccldncl"       field_ref="dummy_XY"                     /> <!-- P1 (m-3) number_concentration_of_convective_cloud_liquid_water_particles_in_air_at_liquid_water_cloud_top : Cloud Droplet Number Concentration of Convective Cloud Tops -->
    <field id="CMIP6_cct"           field_ref="ptop"                         /> <!-- P1 (Pa) air_pressure_at_convective_cloud_top : Air Pressure at Convective Cloud Top -->
-   <field id="CMIP6_cfadDbze94"    field_ref="cfadDbze94"                   /> <!-- P1 (1.0) histogram_of_equivalent_reflectivity_factor_over_height_above_reference_ellipsoid : CloudSat Radar Reflectivity CFAD -->
-   <field id="CMIP6_cfadLidarsr532" field_ref="cfad_lidarsr532"             /> <!-- P1 (1.0) histogram_of_backscattering_ratio_over_height_above_reference_ellipsoid : CALIPSO Scattering Ratio -->
+   <field id="CMIP6_cfadDbze94"    field_ref="cfadDbze94"                   /> <!-- P1 (1) histogram_of_equivalent_reflectivity_factor_over_height_above_reference_ellipsoid : CloudSat Radar Reflectivity CFAD -->
+   <field id="CMIP6_cfadLidarsr532" field_ref="cfad_lidarsr532"             /> <!-- P1 (1) histogram_of_backscattering_ratio_over_height_above_reference_ellipsoid : CALIPSO Scattering Ratio -->
    <field id="CMIP6_cfc113global"  field_ref="dummy_not_provided"           /> <!-- P1 (1e-12) mole_fraction_of_cfc113_in_air : Global Mean Mole Fraction of CFC113 -->
    <field id="CMIP6_cfc11global"   field_ref="CFC11_ppt"                    /> <!-- P1 (1e-12) mole_fraction_of_cfc11_in_air : Global Mean Mole Fraction of CFC11 -->
@@ -51,5 +51,5 @@
    <field id="CMIP6_ch4"           field_ref="dummy_not_provided"           /> <!-- P1 (mol mol-1) mole_fraction_of_methane_in_air : Mole Fraction of CH4 -->
    <field id="CMIP6_ch4global"     field_ref="CH4_ppb"                      /> <!-- P1 (1e-09) mole_fraction_of_methane_in_air : Global Mean Mole Fraction of CH4 -->
-   <field id="CMIP6_ci"            field_ref="ftime_con"                    /> <!-- P1 (1.0) convection_time_fraction : Fraction of time that convection occurs in the grid cell. -->
+   <field id="CMIP6_ci"            field_ref="ftime_con"                    /> <!-- P1 (1) convection_time_fraction : Fraction of time that convection occurs in the grid cell. -->
    <field id="CMIP6_cl"            field_ref="rneb"> rneb*100.      </field>   <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Cloud Area Fraction in Atmosphere Layer -->
    <field id="CMIP6_clc"           field_ref="rnebcon"> rnebcon*100. </field>  <!-- P1 (%) convective_cloud_area_fraction_in_atmosphere_layer : Convective Cloud Area Fraction -->
@@ -58,14 +58,14 @@
    <field id="CMIP6_clcalipsoice"  field_ref="clcalipsoice"                 /> <!-- P1 (%) ice_cloud_area_fraction_in_atmosphere_layer : CALIPSO Ice Cloud Fraction -->
    <field id="CMIP6_clcalipsoliq"  field_ref="clcalipsoice"                 /> <!-- P1 (%) liquid_cloud_area_fraction_in_atmosphere_layer : CALIPSO Liquid Cloud Fraction -->
-   <field id="CMIP6_cldicemxrat"   field_ref="cldicemxrat"                  /> <!-- P2 (1.0) cloud_ice_mixing_ratio : Cloud Ice Mixing Ratio -->
+   <field id="CMIP6_cldicemxrat"   field_ref="cldicemxrat"                  /> <!-- P2 (1) cloud_ice_mixing_ratio : Cloud Ice Mixing Ratio -->
    <field id="CMIP6_cldnci"        field_ref="dummy_XY"                     /> <!-- P1 (m-3) number_concentration_of_ice_crystals_in_air_at_ice_cloud_top : Ice Crystal Number Concentration of Cloud Tops -->
    <field id="CMIP6_cldncl"        field_ref="cldncl"> @cldncl / @lcc </field> <!-- P1 (m-3) number_concentration_of_cloud_liquid_water_particles_in_air_at_liquid_water_cloud_top : Cloud Droplet Number Concentration of Cloud Tops -->
    <field id="CMIP6_cldnvi"        field_ref="cldnvi"> @cldnvi / @lcc </field> <!-- P1 (m-2) atmosphere_number_content_of_cloud_droplets : Column Integrated Cloud Droplet Number -->
-   <field id="CMIP6_cldwatmxrat"   field_ref="cldwatmxrat"                  /> <!-- P2 (1.0) cloud_liquid_water_mixing_ratio : Cloud Water Mixing Ratio -->
+   <field id="CMIP6_cldwatmxrat"   field_ref="cldwatmxrat"                  /> <!-- P2 (1) cloud_liquid_water_mixing_ratio : Cloud Water Mixing Ratio -->
    <field id="CMIP6_clhcalipso"    field_ref="pclhcalipso"                  /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : CALIPSO Percentage High Level Cloud -->
    <field id="CMIP6_cli"           field_ref="iwcon"                        /> <!-- P1 (kg kg-1) mass_fraction_of_cloud_ice_in_air : Includes both large-scale and convective cloud. This is the mass of cloud ice in the grid cell divided by the mass of air (including the water in all phases) in the grid cell. This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
-   <field id="CMIP6_clic"          field_ref="icc3dcon"                     /> <!-- P2 (1.0) mass_fraction_of_convective_cloud_ice_in_air : Calculated as the mass of convective cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
+   <field id="CMIP6_clic"          field_ref="icc3dcon"                     /> <!-- P2 (1) mass_fraction_of_convective_cloud_ice_in_air : Calculated as the mass of convective cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
    <field id="CMIP6_climodis"      field_ref="climodis"                     /> <!-- P1 (%) ice_cloud_area_fraction : MODIS Ice Cloud Fraction -->
-   <field id="CMIP6_clis"          field_ref="icc3dstra"                    /> <!-- P2 (1.0) mass_fraction_of_stratiform_cloud_ice_in_air : Calculated as the mass of stratiform cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
+   <field id="CMIP6_clis"          field_ref="icc3dstra"                    /> <!-- P2 (1) mass_fraction_of_stratiform_cloud_ice_in_air : Calculated as the mass of stratiform cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
    <field id="CMIP6_clisccp"       field_ref="clisccp2"                     /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : ISCCP Percentage Cloud Area -->
    <field id="CMIP6_clivi"         field_ref="iwp"                          /> <!-- P1 (kg m-2) atmosphere_cloud_ice_content : mass of ice water in the column divided by the area of the column (not just the area of the cloudy portion of the column). Includes precipitating frozen hydrometeors ONLY if the precipitating hydrometeor affects the calculation of radiative transfer in model. -->
@@ -81,7 +81,7 @@
    <field id="CMIP6_cltmodis"      field_ref="cltmodis"                     /> <!-- P1 (%) cloud_area_fraction : MODIS Total Cloud  Fraction -->
    <field id="CMIP6_clw"           field_ref="lwcon"                        /> <!-- P1 (kg kg-1) mass_fraction_of_cloud_liquid_water_in_air : Includes both large-scale and convective cloud. Calculate as the mass of cloud liquid water in the grid cell divided by the mass of air (including the water in all phases) in the grid cells. Precipitating hydrometeors are included ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
-   <field id="CMIP6_clwc"          field_ref="lcc3dcon"                     /> <!-- P2 (1.0) mass_fraction_of_convective_cloud_liquid_water_in_air : Calculated as the mass of convective cloud liquid water in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
+   <field id="CMIP6_clwc"          field_ref="lcc3dcon"                     /> <!-- P2 (1) mass_fraction_of_convective_cloud_liquid_water_in_air : Calculated as the mass of convective cloud liquid water in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
    <field id="CMIP6_clwmodis"      field_ref="clwmodis"                     /> <!-- P1 (%) liquid_water_cloud_area_fraction : MODIS Liquid Cloud Fraction -->
-   <field id="CMIP6_clws"          field_ref="lcc3dstra"                    /> <!-- P2 (1.0) mass_fraction_of_stratiform_cloud_liquid_water_in_air : Calculated as the mass of stratiform cloud liquid water in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
+   <field id="CMIP6_clws"          field_ref="lcc3dstra"                    /> <!-- P2 (1) mass_fraction_of_stratiform_cloud_liquid_water_in_air : Calculated as the mass of stratiform cloud liquid water in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
    <field id="CMIP6_clwvi"         field_ref="lwp"                          /> <!-- P1 (kg m-2) atmosphere_cloud_condensed_water_content : mass of condensed (liquid + ice) water in the column divided by the area of the column (not just the area of the cloudy portion of the column). Includes precipitating hydrometeors ONLY if the precipitating hydrometeor affects the calculation of radiative transfer in model. -->
    <field id="CMIP6_clwvic"        field_ref="dummy_XY"                     /> <!-- P1 (kg m-2) atmosphere_convective_cloud_condensed_water_content : Convective Condensed Water Path -->
@@ -95,10 +95,10 @@
    <field id="CMIP6_concdust"      field_ref="concdust"                     /> <!-- P1 (kg m-3) mass_concentration_of_dust_dry_aerosol_in_air : Concentration of Dust -->
    <field id="CMIP6_concnmcn"      field_ref="dummy_not_provided"           /> <!-- P1 (m-3) number_concentration_of_nucleation_mode_ambient_aerosol_in_air : Number Concentration of Nucleation Mode Aerosol -->
-   <field id="CMIP6_demc"          field_ref="dummy_XYA"                    /> <!-- P2 (1.0) convective_cloud_longwave_emissivity : This is the in-cloud emissivity obtained by considering only the cloudy portion of the grid cell. -->
-   <field id="CMIP6_dems"          field_ref="dummy_XYA"                    /> <!-- P2 (1.0) stratiform_cloud_longwave_emissivity : This is the in-cloud emissivity obtained by considering only the cloudy portion of the grid cell. -->
+   <field id="CMIP6_demc"          field_ref="dummy_not_provided"                    /> <!-- P2 (1) convective_cloud_longwave_emissivity : This is the in-cloud emissivity obtained by considering only the cloudy portion of the grid cell. -->
+   <field id="CMIP6_dems"          field_ref="dummy_not_provided"                    /> <!-- P2 (1) stratiform_cloud_longwave_emissivity : This is the in-cloud emissivity obtained by considering only the cloudy portion of the grid cell. -->
    <field id="CMIP6_diabdrag"      field_ref="dummy_XYA"                    /> <!-- P1 (m s-2) tendency_of_eastward_wind_due_to_numerical_artefacts : Tendency of Eastward Wind from Numerical Artefacts -->
    <field id="CMIP6_dmc"           field_ref="upwd"                         /> <!-- P2 (kg m-2 s-1) atmosphere_net_upward_deep_convective_mass_flux : The net mass flux  represents the difference between the updraft and downdraft components.   This is calculated as the convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
-   <field id="CMIP6_dtauc"         field_ref="dummy_XYA"                    /> <!-- P2 (1.0) atmosphere_optical_thickness_due_to_convective_cloud : This is the in-cloud optical depth obtained by considering only the cloudy portion of the grid cell -->
-   <field id="CMIP6_dtaus"         field_ref="dummy_XYA"                    /> <!-- P2 (1.0) atmosphere_optical_thickness_due_to_stratiform_cloud : This is the in-cloud optical depth obtained by considering only the cloudy portion of the grid cell. -->
+   <field id="CMIP6_dtauc"         field_ref="dummy_not_provided"           /> <!-- P2 (1) atmosphere_optical_thickness_due_to_convective_cloud : This is the in-cloud optical depth obtained by considering only the cloudy portion of the grid cell -->
+   <field id="CMIP6_dtaus"         field_ref="dummy_not_provided"           /> <!-- P2 (1) atmosphere_optical_thickness_due_to_stratiform_cloud : This is the in-cloud optical depth obtained by considering only the cloudy portion of the grid cell. -->
    <field id="CMIP6_edt"           field_ref="kz"                           /> <!-- P1 (m2 s-1) atmosphere_heat_diffusivity : Eddy Diffusivity Coefficient for Temperature Variable -->
    <field id="CMIP6_epfy"          field_ref="dummy_XYA"                    /> <!-- P1 (m3 s-2) northward_eliassen_palm_flux_in_air : Northward Component of the Eliassen-Palm Flux -->
@@ -120,6 +120,6 @@
    <field id="CMIP6_hfsbl"         field_ref="dummy_not_provided"           /> <!-- P1 (W m-2) surface_snow_and_ice_sublimation_heat_flux : Energy of sublimation -->
    <field id="CMIP6_hfss"          field_ref="sens"> sens*(-1.) </field>       <!-- P1 (W m-2) surface_upward_sensible_heat_flux : Surface Upward Sensible Heat Flux -->
-   <field id="CMIP6_hur"           field_ref="rhum"> rhum*100. </field> <!-- P1 (%) relative_humidity : The relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->
-   <field id="CMIP6_hurs"          field_ref="rh2m"             /> <!-- P1 (%) relative_humidity : The relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->
+   <field id="CMIP6_hur"           field_ref="rhum"> rhum*100. </field> <!-- P1 (%) relative_humidity : This is the relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->
+   <field id="CMIP6_hurs"          field_ref="rh2m"             /> <!-- P1 (%) relative_humidity : This is the relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->
    <field id="CMIP6_hursmax"       field_ref="rh2m_max" freq_op="1d" > @rh2m_max </field> <!-- P1 (%) relative_humidity : This is the relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->   
    <field id="CMIP6_hursmin"       field_ref="rh2m_min" freq_op="1d" > @rh2m_min </field> <!-- P1 (%) relative_humidity : This is the relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->  
@@ -150,5 +150,5 @@
    <field id="CMIP6_loadss"        field_ref="loadss"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_seasalt_dry_aerosol : Load of Seasalt -->
    <field id="CMIP6_longitude"     field_ref="io_lon"              /> <!-- P1 (degrees_east) longitude : Longitude -->
-   <field id="CMIP6_lwsffluxaero"  field_ref="dummy_XY"         /> <!-- P2 (W m-2) longwave__flux__due_to_volcanic_aerosols_at_the_surface : downwelling longwave  flux  due to volcanic aerosols at the surface to be diagnosed through double radiation call -->
+   <field id="CMIP6_lwsffluxaero"  field_ref="dummy_not_provided"         /> <!-- P2 (W m-2) longwave__flux__due_to_volcanic_aerosols_at_the_surface : downwelling longwave  flux  due to volcanic aerosols at the surface to be diagnosed through double radiation call -->
    <field id="CMIP6_lwsrfasdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_instantaneous_longwave_forcing_due_to_dust : All-sky Surface Longwave radiative flux due to Dust -->
    <field id="CMIP6_lwsrfcsdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_instantaneous_longwave_forcing_due_to_dust_in_clearsky : Clear-sky Surface Longwave radiative flux due to Dust -->
@@ -156,5 +156,5 @@
    <field id="CMIP6_lwtoacsaer"    field_ref="toplwad0"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing : Clear-Sky LW-RF Aerosols at TOA -->
    <field id="CMIP6_lwtoacsdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing_due_to_dust_in_clearsky : Clear-sky TOA Longwave radiative flux due to Dust -->
-   <field id="CMIP6_lwtoafluxaerocs" field_ref="dummy_XY"       /> <!-- P1 (W m-2) longwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling longwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
+   <field id="CMIP6_lwtoafluxaerocs" field_ref="dummy_not_provided"       /> <!-- P1 (W m-2) longwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling longwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
    <field id="CMIP6_mc"            field_ref="mc"               /> <!-- P1 (kg m-2 s-1) atmosphere_net_upward_convective_mass_flux : The net mass flux should represent the difference between the updraft and downdraft components.  The flux is computed as the mass divided by the area of the grid cell. -->
    <field id="CMIP6_mcd"           field_ref="dnwd"              > (dnwd-dnwd0) &gt; 0 ? (dnwd-dnwd0) : 0 </field> <!-- P2 (kg m-2 s-1) atmosphere_downdraft_convective_mass_flux : Calculated as the convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
@@ -165,9 +165,9 @@
    <field id="CMIP6_n2oglobal"     field_ref="N2O_ppb"                   /> <!-- P1 (1e-09) mole_fraction_of_nitrous_oxide_in_air : Global Mean Mole Fraction of N2O -->
    <field id="CMIP6_o3"            field_ref="ozone"                     /> <!-- P1 (mol mol-1) mole_fraction_of_ozone_in_air : Mole Fraction of O3 -->
-   <field id="CMIP6_od443dust"     field_ref="dummy_not_provided"        /> <!-- P1 (1.0) atmosphere_optical_thickness_due_to_dust_ambient_aerosol_particles : Optical thickness at 443 nm Dust -->
-   <field id="CMIP6_od550aerso"    field_ref="od550_STRAT"               /> <!-- P1 (1.0) strat_aerosol_optical_depth : Stratospheric Optical depth at 550 nm (all aerosols) 2D-field (here we limit the computation of OD to the stratosphere only) -->
-   <field id="CMIP6_od550so4so"    field_ref="dummy_not_provided"        /> <!-- P1 (1.0)  : Stratospheric Optical depth at 550 nm (sulphate only) 2D-field (here we limit the computation of OD to the stratosphere only) --> 
-   <field id="CMIP6_od865dust"     field_ref="dummy_not_provided"        /> <!-- P1 (1.0) atmosphere_optical_thickness_due_to_dust_ambient_aerosol_particles : Optical thickness at 865 nm Dust -->
-   <field id="CMIP6_parasolRefl" field_ref="parasol_refl"> parasol_refl*fract_oce </field> <!-- P1 (1.0) toa_bidirectional_reflectance : PARASOL Reflectance -->
+   <field id="CMIP6_od443dust"     field_ref="dummy_not_provided"        /> <!-- P1 (1) atmosphere_optical_thickness_due_to_dust_ambient_aerosol_particles : Optical thickness at 443 nm Dust -->
+   <field id="CMIP6_od550aerso"    field_ref="od550_STRAT"               /> <!-- P1 (1) strat_aerosol_optical_depth : Stratospheric Optical depth at 550 nm (all aerosols) 2D-field (here we limit the computation of OD to the stratosphere only) -->
+   <field id="CMIP6_od550so4so"    field_ref="dummy_not_provided"        /> <!-- P1 (1)  : Stratospheric Optical depth at 550 nm (sulphate only) 2D-field (here we limit the computation of OD to the stratosphere only) --> 
+   <field id="CMIP6_od865dust"     field_ref="dummy_not_provided"        /> <!-- P1 (1) atmosphere_optical_thickness_due_to_dust_ambient_aerosol_particles : Optical thickness at 865 nm Dust -->
+   <field id="CMIP6_parasolRefl" field_ref="parasol_refl"> parasol_refl*fract_oce </field> <!-- P1 (1) toa_bidirectional_reflectance : PARASOL Reflectance -->
    <field id="CMIP6_pctisccp"      field_ref="ctpisccp"                  /> <!-- P1 (Pa) air_pressure_at_cloud_top : time-means weighted by the ISCCP Total Cloud Fraction - see  http://cfmip.metoffice.com/COSP.html -->
    <field id="CMIP6_pfull"         field_ref="pres"                      /> <!-- P1 (Pa) air_pressure : Pressure on Model Levels -->
@@ -181,5 +181,5 @@
    <field id="CMIP6_prlsns"        field_ref="pr_lsc_i"                  /> <!-- P2 (kg m-2 s-1) large_scale_snowfall_flux : large-scale precipitation of all forms of water in the solid phase. -->
    <field id="CMIP6_prlsprof"      field_ref="pr_lsc_l"                  /> <!-- P2 (kg m-2 s-1) large_scale_rainfall_flux : Stratiform Rainfall Flux -->
-   <field id="CMIP6_prra"          field_ref="rain_fall"                /> <!-- P1 (kg m-2 s-1) rainfall_flux : Rainfall rate -->
+   <field id="CMIP6_prra"          field_ref="rain_fall"                 /> <!-- P1 (kg m-2 s-1) rainfall_flux : Rainfall rate -->
    <field id="CMIP6_prrc"          field_ref="rain_con"                  /> <!-- P1 (kg m-2 s-1) convective_rainfall_flux : Convective Rainfall rate -->
    <field id="CMIP6_prrsn"         field_ref="dummy_not_provided"       /> <!-- P1 (1) mass_fraction_of_rainfall_onto_snow : mass_fraction_of_rainfall_onto_snow -->
@@ -191,5 +191,5 @@
    <field id="CMIP6_psitem"        field_ref="dummy_XYA"                /> <!-- P1 (kg s^-1) meridional_streamfunction_transformed_eulerian_mean : zonal mean; hence YZT -->
    <field id="CMIP6_psl"           field_ref="slp"                      /> <!-- P1 (Pa) air_pressure_at_sea_level : not, in general, the same as surface pressure -->
-   <field id="CMIP6_rainmxrat"     field_ref="dummy_not_provided"       /> <!-- P2 (1.0) mass_fraction_of_rain_in_air : rain_mixing_ratio -->
+   <field id="CMIP6_rainmxrat"     field_ref="dummy_not_provided"       /> <!-- P2 (1) mass_fraction_of_rain_in_air : rain_mixing_ratio -->
    <field id="CMIP6_reffcclwtop"   field_ref="dummy_not_provided"       /> <!-- P1 (m) effective_radius_of_convective_cloud_liquid_water_particle_at_liquid_water_cloud_top : Cloud-Top Effective Droplet Radius In Convective Cloud -->
    <field id="CMIP6_reffclic"      field_ref="dummy_not_provided"       /> <!-- P2 (m) effective_radius_of_convective_cloud_ice_particle : Hydrometeor Effective Radius of Convective Cloud Ice -->
@@ -197,5 +197,5 @@
    <field id="CMIP6_reffclwc"      field_ref="dummy_not_provided"       /> <!-- P2 (m) effective_radius_of_convective_cloud_liquid_water_particle : Hydrometeor Effective Radius of Convective Cloud Liquid Water -->
    <field id="CMIP6_reffclws"      field_ref="reffclws">@reffclws / @lcc3dstra </field> <!-- P2 (m) effective_radius_of_stratiform_cloud_liquid_water_particle : Hydrometeor Effective Radius of Stratiform Cloud Liquid Water -->
-   <field id="CMIP6_reffgrpls"     field_ref="dummy_XYA"        /> <!-- P2 (m) effective_radius_of_stratiform_cloud_graupel_particle : This is defined as the in-cloud ratio of the third moment over the second moment of the particle size distribution (obtained by considering only the cloudy portion of the grid cell). -->
+   <field id="CMIP6_reffgrpls"     field_ref="dummy_not_provided"       /> <!-- P2 (m) effective_radius_of_stratiform_cloud_graupel_particle : This is defined as the in-cloud ratio of the third moment over the second moment of the particle size distribution (obtained by considering only the cloudy portion of the grid cell). -->
    <field id="CMIP6_reffrainc"     field_ref="dummy_XYA"        /> <!-- P2 (m) effective_radius_of_convective_cloud_rain_particle : This is defined as the in-cloud ratio of the third moment over the second moment of the particle size distribution (obtained by considering only the cloudy portion of the grid cell). -->
    <field id="CMIP6_reffrains"     field_ref="dummy_XYA"        /> <!-- P2 (m) effective_radius_of_stratiform_cloud_rain_particle : This is defined as the in-cloud ratio of the third moment over the second moment of the particle size distribution (obtained by considering only the cloudy portion of the grid cell). -->
@@ -235,9 +235,9 @@
    <field id="CMIP6_rsucs"         field_ref="rsucs"            />  <!-- P1 (W m-2) upwelling_shortwave_flux_in_air_assuming_clear_sky : Includes also the fluxes at the surface and TOA. -->
    <field id="CMIP6_rsucs4co2"     field_ref="rsucs4co2"        /> <!-- P1 (W m-2) upwelling_shortwave_flux_in_air_assuming_clear_sky : Upwelling Clear-Sky Shortwave Radiation 4XCO2 Atmosphere -->
-   <field id="CMIP6_rsucsbnd"      field_ref="dummy_not_provided"        /> <!-- P1 (W m-2) band_upwelling_shortwave_flux_assuming_clear_sky : Upwelling Clear-Sky Shortwave Radiation at each level for each band -->
+   <field id="CMIP6_rsucsbnd"      field_ref="dummy_not_provided"        /> <!-- P1 (W m-2) upwelling_shortwave_flux_in_air_assuming_clear_sky : Upwelling Clear-Sky Shortwave Radiation at each level for each band -->
    <field id="CMIP6_rsus"          field_ref="SWupSFC"          /> <!-- P1 (W m-2) surface_upwelling_shortwave_flux_in_air : Surface Upwelling Shortwave Radiation --> 
    <field id="CMIP6_rsuscs"        field_ref="SWupSFCclr"       /> <!-- P1 (W m-2) surface_upwelling_shortwave_flux_in_air_assuming_clear_sky : Surface Upwelling Clear-Sky Shortwave Radiation -->
    <field id="CMIP6_rsuscsbnd"     field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_upwelling_shortwave_flux_in_air_assuming_clear_sky : Surface Upwelling Clear-Sky Shortwave Radiation for each band -->
-   <field id="CMIP6_rsut"          field_ref="SWupTOA"          /> <!-- P1 (W m-2) toa_outgoing_shortwave_flux : at the top of the atmosphere -->
+   <field id="CMIP6_rsut"          field_ref="SWupTOA"          /> <!-- P1 (W m-2) toa_outgoing_shortwave_flux : TOA Outgoing Shortwave Radiation -->
    <field id="CMIP6_rsut4co2"      field_ref="rsut4co2"         /> <!-- P1 (W m-2) toa_outgoing_shortwave_flux : TOA Outgoing Shortwave Radiation in 4XCO2 Atmosphere -->
    <field id="CMIP6_rsutcs"        field_ref="SWupTOAclr"       /> <!-- P1 (W m-2) toa_outgoing_shortwave_flux_assuming_clear_sky : TOA Outgoing Clear-Sky Shortwave Radiation -->
@@ -283,5 +283,5 @@
    <field id="CMIP6_tauvpbl"       field_ref="dummy_XY"         /> <!-- P1 (Pa) surface_downward_northward_stress_due_to_planetary_boundary_layer : surface -->
    <field id="CMIP6_tdps"          field_ref="pvap"> 273.16 + (273.16 - 35.86)/(17.269/log(pvap/611.14)-1.)      </field> <!-- P1 (K) dew_point_temperature : 2m dewpoint temperature -->
-   <field id="CMIP6_tendacabf"     field_ref="dummy_not_provided"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_surface_mass_balance : Antarctica -->
+   <field id="CMIP6_tendacabf"     field_ref="dummy_not_provided"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_surface_mass_balance : Greenland -->
    <field id="CMIP6_tendlibmassbf" field_ref="dummy_not_provided"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_basal_mass_balance : Antarctica -->
    <field id="CMIP6_tendlicalvf"   field_ref="dummy_not_provided"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_calving : Antarctica -->
@@ -315,5 +315,5 @@
    <field id="CMIP6_uas"           field_ref="u10m"             /> <!-- P1 (m s-1) eastward_wind : Eastward Near-Surface Wind -->
    <field id="CMIP6_uqint"         field_ref="dummy_XY"         /> <!-- P1 (m2 s-1) integral_of_product_of_eastward_wind_and_specific_humidity_wrt_height : Eastward integrated moisture transport -->
-   <field id="CMIP6_ut"            field_ref="vitu"              > vitu*temp </field> 
+   <field id="CMIP6_ut"            field_ref="vitu"              > vitu*temp </field> <!-- P2 (K m s-1) product_of_eastward_wind_and_air_temperature : air_temperature_times_eastward_wind -->
    <field id="CMIP6_utendepfd"     field_ref="dummy_XYA"        /> <!-- P1 (m s-2) tendency_of_eastward_wind_due_to_eliassen_palm_flux_divergence : Called "acceldivf" in CCMI table; we suggest new name. zonal mean; hence YZT -->
    <field id="CMIP6_utendnogw"     field_ref="du_gwd_rando"> du_gwd_rando + du_gwd_front </field> <!-- P1 (m s-2) tendency_of_eastward_wind_due_to_nonorographic_gravity_wave_drag : zonal mean; hence YZT -->