Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/field_def_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/field_def_lmdz.xml	(revision 3218)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/field_def_lmdz.xml	(revision 3220)
@@ -80,4 +80,5 @@
         <field id="prhmax"      field_ref="precip" operation="maximum"           />
         <field id="rain_fall"   long_name="Precip Totale liq"   unit="kg/(s*m2)" />
+        <field id="rain_con"    long_name="Precip convective liq"   unit="kg/(s*m2)" />
         <field id="plul"    long_name="Large-scale Precip."     unit="kg/(s*m2)" />
         <field id="plun"    long_name="Numerical Precip."       unit="kg/(s*m2)" />
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml	(revision 3218)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml	(revision 3220)
@@ -60,4 +60,5 @@
                 <field field_ref="precip" level="5" />
                 <field field_ref="rain_fall" level="5" />
+                <field field_ref="rain_con" level="5" />
                 <field field_ref="plul" level="10" />
                 <field field_ref="plun" level="10" />
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml	(revision 3218)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml	(revision 3220)
@@ -64,4 +64,5 @@
                 <field field_ref="precip" level="1" />
                 <field field_ref="rain_fall" level="1" />
+                <field field_ref="rain_con" level="1" />
                 <field field_ref="plul" level="1" />
                 <field field_ref="plun" level="1" />
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml	(revision 3218)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml	(revision 3220)
@@ -64,4 +64,5 @@
                 <field field_ref="precip" level="10" />
                 <field field_ref="rain_fall" level="10" />
+                <field field_ref="rain_con" level="10" />
                 <field field_ref="plul" level="10" />
                 <field field_ref="plun" level="10" />
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml	(revision 3218)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml	(revision 3220)
@@ -60,4 +60,5 @@
                 <field field_ref="precip" level="1" />
                 <field field_ref="rain_fall" level="1" />
+                <field field_ref="rain_con" level="1" />
                 <field field_ref="plul" level="1" />
                 <field field_ref="plun" level="1" />
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3218)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3220)
@@ -93,4 +93,5 @@
                 <field field_ref="precip"   level="1" />
                 <field field_ref="rain_fall"   level="1" />
+                <field field_ref="rain_con"   level="1" />
                 <field field_ref="plul"     level="1" />
                 <field field_ref="plun"     level="1" />
Index: LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml	(revision 3218)
+++ LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml	(revision 3220)
@@ -60,4 +60,5 @@
                 <field field_ref="precip" level="10" />
                 <field field_ref="rain_fall" level="10" />
+                <field field_ref="rain_con" level="10" />
                 <field field_ref="plul" level="10" />
                 <field field_ref="plun" level="10" />