Index: LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 3254)
+++ LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 3257)
@@ -129,8 +129,8 @@
    <field id="CMIP6_iareafl"       field_ref="fract_sic"         >fract_sic*aire </field> <!-- P3 (m2) floating_ice_shelf_area : Antarctica -->
    <field id="CMIP6_iareagr"       field_ref="fract_lic"         >fract_lic*aire </field> <!-- P3 (m2) grounded_ice_sheet_area : Greenland -->
-   <field id="CMIP6_intuadse"      field_ref="dummy_XY"         /> <!-- P1 (1.e6 J m-1 s-1) vertical_integral_eastward_wind_by_dry_static_energy : Vertically integrated Eastward dry transport (cp.T +zg).u (Mass_weighted_vertical integral of the product of northward wind by dry static_energy per mass unit) -->
-   <field id="CMIP6_intuaw"        field_ref="dummy_XY"         /> <!-- P1 (kg m-1 s-1) vertical_integral_eastward_wind_by_total_water : Vertically integrated Eastward moisture transport (Mass_weighted_vertical integral of the product of eastward wind by total water mass per unit mass) -->
-   <field id="CMIP6_intvadse"      field_ref="dummy_XY"         /> <!-- P1 (1.e6 J m-1 s-1) vertical_integral_northward_wind_by_dry_static_energy : Vertically integrated Northward dry transport (cp.T +zg).v (Mass_weighted_vertical integral of the product of northward wind by dry static_energy per mass unit) -->
-   <field id="CMIP6_intvaw"        field_ref="dummy_XY"         /> <!-- P1 (kg m-1 s-1) vertical_integral_northward_wind_by_total_water : Vertically integrated Northward moisture transport (Mass_weighted_vertical integral of the product of northward wind by total water mass per unit mass) -->
+   <field id="CMIP6_intuadse"      field_ref="ue"               /> <!-- P1 (1.e6 J m-1 s-1) vertical_integral_eastward_wind_by_dry_static_energy : Vertically integrated Eastward dry transport (cp.T +zg).u (Mass_weighted_vertical integral of the product of northward wind by dry static_energy per mass unit) -->
+   <field id="CMIP6_intuaw"        field_ref="uwat"             /> <!-- P1 (kg m-1 s-1) vertical_integral_eastward_wind_by_total_water : Vertically integrated Eastward moisture transport (Mass_weighted_vertical integral of the product of eastward wind by total water mass per unit mass) -->
+   <field id="CMIP6_intvadse"      field_ref="ve"               /> <!-- P1 (1.e6 J m-1 s-1) vertical_integral_northward_wind_by_dry_static_energy : Vertically integrated Northward dry transport (cp.T +zg).v (Mass_weighted_vertical integral of the product of northward wind by dry static_energy per mass unit) -->
+   <field id="CMIP6_intvaw"        field_ref="vwat"             /> <!-- P1 (kg m-1 s-1) vertical_integral_northward_wind_by_total_water : Vertically integrated Northward moisture transport (Mass_weighted_vertical integral of the product of northward wind by total water mass per unit mass) -->
    <field id="CMIP6_jo2"           field_ref="dummy_not_provided"        /> <!-- P1 (s-1) photolysis_rate_of_molecular_oxygen : zonal mean; hence YZT -->
    <field id="CMIP6_jo3"           field_ref="dummy_not_provided"        /> <!-- P1 (s-1) photolysis_rate_of_ozone : zonal mean; hence YZT --> 
@@ -314,5 +314,5 @@
    <field id="CMIP6_ua"            field_ref="vitu"             /> <!-- P1 (m s-1) eastward_wind : Eastward Wind -->
    <field id="CMIP6_uas"           field_ref="u10m"             /> <!-- P1 (m s-1) eastward_wind : Eastward Near-Surface Wind -->
-   <field id="CMIP6_uqint"         field_ref="dummy_XY"         /> <!-- P1 (m2 s-1) integral_of_product_of_eastward_wind_and_specific_humidity_wrt_height : Eastward integrated moisture transport -->
+   <field id="CMIP6_uqint"         field_ref="uq"               /> <!-- P1 (m2 s-1) integral_of_product_of_eastward_wind_and_specific_humidity_wrt_height : Eastward integrated moisture transport -->
    <field id="CMIP6_ut"            field_ref="vitu"              > vitu*temp </field> <!-- P2 (K m s-1) product_of_eastward_wind_and_air_temperature : air_temperature_times_eastward_wind -->
    <field id="CMIP6_utendepfd"     field_ref="dummy_XYA"        /> <!-- P1 (m s-2) tendency_of_eastward_wind_due_to_eliassen_palm_flux_divergence : Called "acceldivf" in CCMI table; we suggest new name. zonal mean; hence YZT -->
@@ -327,5 +327,5 @@
    <field id="CMIP6_vas"           field_ref="v10m"             /> <!-- P1 (m s-1) northward_wind : Northward Near-Surface Wind -->
    <field id="CMIP6_vortmean"      field_ref="dummy_XY"         /> <!-- P1 (s-1) atmosphere_relative_vorticity : Mean vorticity over 850-600 hPa layer -->
-   <field id="CMIP6_vqint"         field_ref="dummy_XY"         /> <!-- P1 (m2 s-1) integral_of_product_of_northward_wind_and_specific_humidity_wrt_height : Northward integrated moisture transport -->
+   <field id="CMIP6_vqint"         field_ref="vq"               /> <!-- P1 (m2 s-1) integral_of_product_of_northward_wind_and_specific_humidity_wrt_height : Northward integrated moisture transport -->
    <field id="CMIP6_vt"            field_ref="vitv"> vitv*temp  </field> <!-- P2 (K m s-1) product_of_northward_wind_and_air_temperature : air_temperature_times_northward_wind -->
    <field id="CMIP6_vtem"          field_ref="dummy_XYA"        /> <!-- P1 (m s-1) northward_transformed_eulerian_mean_air_velocity : Transformed Eulerian Mean northward wind --> 
@@ -337,5 +337,5 @@
    <field id="CMIP6_wbptemp"       field_ref="dummy_XYA"        /> <!-- P1 (K) wet_bulb_potential_temperature : plev_7 -->
    <field id="CMIP6_wtem"          field_ref="dummy_XYA"        /> <!-- P1 (m s-1)  : Transformed Eulerian Mean upward wind -->
-qy   <field id="CMIP6_xgwdparam"     field_ref="east_gwstress"    /> <!-- P2 (Pa) atmosphere_eastward_stress_due_to_gravity_wave_drag : x_gravity_wave_drag_param --> 
+   <field id="CMIP6_xgwdparam"     field_ref="east_gwstress"    /> <!-- P2 (Pa) atmosphere_eastward_stress_due_to_gravity_wave_drag : x_gravity_wave_drag_param --> 
    <field id="CMIP6_ygwdparam"     field_ref="west_gwstress"    /> <!-- P2 (Pa) atmosphere_northward_stress_due_to_gravity_wave_drag : y_gravity_wave_drag_param -->
    <field id="CMIP6_zfull"         field_ref="zfull"            /> <!-- P2 (m) height_above_reference_ellipsoid : This is actual height above mean sea level, not geopotential height -->
Index: LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 3254)
+++ LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 3257)
@@ -236,4 +236,6 @@
                 <field field_ref="uq" level="1" />
                 <field field_ref="vq" level="1" />
+                <field field_ref="uwat" level="1" />
+                <field field_ref="vwat" level="1" />
                 <field field_ref="cape" level="1" />
                 <field field_ref="pbase" level="1" />
Index: LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 3254)
+++ LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 3257)
@@ -319,6 +319,6 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: slab_wfbils
 !$OMP THREADPRIVATE(slab_wfbils)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: tpot, tpote, ue, uq, ve, vq, zxffonte
-!$OMP THREADPRIVATE(tpot, tpote, ue, uq, ve, vq, zxffonte)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: tpot, tpote, ue, uq, uwat, ve, vq, vwat, zxffonte
+!$OMP THREADPRIVATE(tpot, tpote, ue, uq, uwat, ve, vq, vwat, zxffonte)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zxfqcalving
 !$OMP THREADPRIVATE(zxfqcalving)
@@ -705,4 +705,5 @@
       ALLOCATE(slab_wfbils(klon), tpot(klon), tpote(klon), ue(klon))
       ALLOCATE(uq(klon), ve(klon), vq(klon), zxffonte(klon))
+      ALLOCATE(uwat(klon), vwat(klon))
       ALLOCATE(zxfqcalving(klon), zxfluxlat(klon))
       ALLOCATE(zxtsol(klon), snow_lsc(klon), zxfqfonte(klon), zxqsurf(klon))
@@ -994,4 +995,5 @@
       DEALLOCATE(slab_wfbils, tpot, tpote, ue)
       DEALLOCATE(uq, ve, vq, zxffonte)
+      DEALLOCATE(uwat, vwat)
       DEALLOCATE(zxfqcalving, zxfluxlat)
       DEALLOCATE(zxrunofflic)
Index: LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3254)
+++ LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3257)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 MODULE phys_output_ctrlout_mod
 
@@ -676,11 +679,15 @@
     'iwp', 'Cloud ice water path', 'kg/m2', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ue = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'ue', 'Zonal energy transport', '-', (/ ('', i=1, 10) /))
+    'ue', 'Zonal dry static energy transport', '-', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ve = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    've', 'Merid energy transport', '-', (/ ('', i=1, 10) /))
+    've', 'Merid dry static energy transport', '-', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_uq = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'uq', 'Zonal humidity transport', '-', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_vq = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'vq', 'Merid humidity transport', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_uwat = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'uwat', 'Zonal total water transport', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_vwat = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'vwat', 'Merid total water transport', '-', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_cape = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'cape', 'Conv avlbl pot ener', 'J/kg', (/ ('', i=1, 10) /))
Index: LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 3254)
+++ LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 3257)
@@ -70,4 +70,5 @@
          o_cldhjn, o_cldtjn, o_cldq, o_lwp, o_iwp, &
          o_ue, o_ve, o_uq, o_vq, o_cape, o_pbase, &
+         o_uwat, o_vwat, &
          o_ptop, o_fbase, o_plcl, o_plfc, &
          o_wbeff, o_convoccur, o_cape_max, o_upwd, o_ep,o_epmax_diag, o_Ma, &
@@ -254,4 +255,5 @@
          cldh, cldt, JrNt, cldljn, cldmjn, cldhjn, &
          cldtjn, cldq, flwp, fiwp, ue, ve, uq, vq, &
+         uwat, vwat, &
          plcl, plfc, wbeff, convoccur, upwd, dnwd, dnwd0, prw, prlw, prsw, &
          s_pblh, s_pblt, s_lcl, s_therm, uwriteSTD, &
@@ -961,4 +963,6 @@
        CALL histwrite_phy(o_uq, uq)
        CALL histwrite_phy(o_vq, vq)
+       CALL histwrite_phy(o_uwat, uwat)
+       CALL histwrite_phy(o_vwat, vwat)
        IF (iflag_con.GE.3) THEN ! sb
           CALL histwrite_phy(o_cape, cape)
Index: LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 3254)
+++ LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 3257)
@@ -125,4 +125,5 @@
        slab_wfbils, tpot, tpote,               &
        ue, uq, ve, vq, zxffonte,               &
+       uwat, vwat,                             &
        zxfqcalving, zxfluxlat,                 &
        zxrunofflic,                            &
@@ -4521,6 +4522,6 @@
     !
     CALL transp (paprs,zxtsol, &
-         t_seri, q_seri, u_seri, v_seri, zphi, &
-         ve, vq, ue, uq)
+         t_seri, q_seri, ql_seri, qs_seri, u_seri, v_seri, zphi, &
+         ve, vq, ue, uq, vwat, uwat)
     !
     !IM global posePB BEG
Index: LMDZ6/trunk/libf/phylmd/transp.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/transp.F90	(revision 3254)
+++ LMDZ6/trunk/libf/phylmd/transp.F90	(revision 3257)
@@ -1,7 +1,7 @@
 
-! $Header$
+! $Id$
 
-SUBROUTINE transp(paprs, tsol, t, q, u, v, geom, vtran_e, vtran_q, utran_e, &
-    utran_q)
+SUBROUTINE transp(paprs, tsol, t, q, ql, qs, u, v, geom, vtran_e, vtran_q, utran_e, &
+    utran_q, vtran_w, utran_w)
 
   USE dimphy
@@ -16,6 +16,8 @@
 
   REAL paprs(klon, klev+1), tsol(klon)
-  REAL t(klon, klev), q(klon, klev), u(klon, klev), v(klon, klev)
+  REAL t(klon, klev), q(klon, klev), ql(klon, klev), qs(klon, klev)
+  REAL u(klon, klev), v(klon, klev)
   REAL utran_e(klon), utran_q(klon), vtran_e(klon), vtran_q(klon)
+  REAL utran_w(klon), vtran_w(klon)
 
   INTEGER i, l
@@ -28,13 +30,20 @@
     vtran_e(i) = 0.0
     vtran_q(i) = 0.0
+    utran_w(i) = 0.0
+    vtran_w(i) = 0.0
   END DO
 
   DO l = 1, klev
     DO i = 1, klon
-      e = rcpd*t(i, l) + rlvtt*q(i, l) + geom(i, l)
+!      e = rcpd*t(i, l) + rlvtt*q(i, l) + geom(i, l)
+      e = rcpd*t(i, l) + geom(i, l)
       utran_e(i) = utran_e(i) + u(i, l)*e*(paprs(i,l)-paprs(i,l+1))/rg
       utran_q(i) = utran_q(i) + u(i, l)*q(i, l)*(paprs(i,l)-paprs(i,l+1))/rg
+      utran_w(i) = utran_w(i) + u(i, l)*(q(i, l)+ql(i, l)+qs(i, l))           &
+                                       *(paprs(i,l)-paprs(i,l+1))/rg
       vtran_e(i) = vtran_e(i) + v(i, l)*e*(paprs(i,l)-paprs(i,l+1))/rg
       vtran_q(i) = vtran_q(i) + v(i, l)*q(i, l)*(paprs(i,l)-paprs(i,l+1))/rg
+      vtran_w(i) = vtran_w(i) + v(i, l)*(q(i, l)+ql(i, l)+qs(i, l))           &
+                                       *(paprs(i,l)-paprs(i,l+1))/rg
     END DO
   END DO