Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmos.xml	(revision 3301)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/CMIP6_ping_atmos.xml	(revision 3302)
@@ -360,5 +360,5 @@
    <field id="CMIP6_ygwdparam"     field_ref="west_gwstress"    /> <!-- P2 (Pa) atmosphere_northward_stress_due_to_gravity_wave_drag : y_gravity_wave_drag_param -->
    <field id="CMIP6_zfull"         field_ref="zfull"            /> <!-- P2 (m) height_above_reference_ellipsoid : This is actual height above mean sea level, not geopotential height -->
-   <field id="CMIP6_zg"            field_ref="geop"             /> <!-- P1 (m) geopotential_height : Geopotential height on the 1000 hPa surface -->
+   <field id="CMIP6_zg"            field_ref="geoph"            /> <!-- P1 (m) geopotential_height : Geopotential height on the 1000 hPa surface -->
    <field id="CMIP6_zhalf"         field_ref="zhalf"            /> <!-- P2 (m) height_above_reference_ellipsoid : This is actual height above mean sea level, not geopotential height.  This is actual height above mean sea level, not geopotential height.  Includes both the top of the model atmosphere and surface levels. -->
    <field id="CMIP6_zmla"          field_ref="s_pblh"           /> <!-- P1 (m) atmosphere_boundary_layer_thickness : Height of Boundary Layer -->
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/field_def_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/field_def_lmdz.xml	(revision 3301)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/field_def_lmdz.xml	(revision 3302)
@@ -546,4 +546,5 @@
         <field id="ocond"    long_name="Condensed water"    unit="kg/kg" />
         <field id="geop"    long_name="Geopotential height"    unit="m2/s2" />
+        <field id="geoph" field_ref="geop" long_name="Geopotential height" unit="m" > geop/9.80665 </field>
         <field id="vitu"    long_name="Zonal wind"    unit="m/s" />
         <field id="vitv"    long_name="Meridional wind"    unit="m/s" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml	(revision 3301)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml	(revision 3302)
@@ -468,4 +468,5 @@
                 <field field_ref="ocond" level="10" />
                 <field field_ref="geop" level="10" />
+                <field field_ref="geoph" level="10" />
                 <field field_ref="vitu" level="10" />
                 <field field_ref="vitv" level="10" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml	(revision 3301)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml	(revision 3302)
@@ -481,4 +481,5 @@
                 <field field_ref="ocond" level="3" />
                 <field field_ref="geop" level="3" />
+                <field field_ref="geoph" level="3" />
                 <field field_ref="vitu" level="3" />
                 <field field_ref="vitv" level="3" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml	(revision 3301)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml	(revision 3302)
@@ -502,4 +502,5 @@
                 <field field_ref="ocond" level="10" />
                 <field field_ref="geop" level="10" />
+                <field field_ref="geoph" level="10" />
                 <field field_ref="vitu" level="10" />
                 <field field_ref="vitv" level="10" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml	(revision 3301)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml	(revision 3302)
@@ -468,4 +468,5 @@
                 <field field_ref="ocond" level="4" />
                 <field field_ref="geop" level="10" />
+                <field field_ref="geoph" level="10" />
                 <field field_ref="vitu" level="4" />
                 <field field_ref="vitv" level="4" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3301)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3302)
@@ -529,4 +529,5 @@
                 <field field_ref="ocond" level="1" />
                 <field field_ref="geop" level="3" />
+                <field field_ref="geoph" level="3" />
                 <field field_ref="vitu" level="1" />
                 <field field_ref="vitv" level="1" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml	(revision 3301)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml	(revision 3302)
@@ -468,4 +468,5 @@
                 <field field_ref="ocond" level="10" />
                 <field field_ref="geop" level="10" />
+                <field field_ref="geoph" level="10" />
                 <field field_ref="vitu" level="10" />
                 <field field_ref="vitv" level="10" />